Subject: Re: bug#78205: [PATCH] Recenter for the calendar

From: Manuel Giraud <[email-masked]>
Date: Sun, 04 May 2025 11:59:53 +0200

Michael Heerdegen <[email-masked]> writes:

> Hello Manuel,
>
> your patch works nicely.
>
>
>> +              (car (or (cdr (member calendar-recenter-last-op positions))
>
> This `member' could be `memq' I think.

Thanks.  I have copy this part from 'recenter-top-bottom'.  I'll try
with memq.

>> +                       positions))
>> +            (car positions)))
>> +    ;; XXX like most functions in calendar, a span of three displayed
>> +    ;; months is implied here.
>
> What does "XXX" mean?

It is kind of a warning/watchout for future readers.  I've seen it use
in other places in the Emacs sources.
-- 
Manuel Giraud